> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscriptions



## OpenAPI

````yaml /openAPI.json get /api/v2/subscriptions
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/subscriptions:
    get:
      tags:
        - Subscriptions
      summary: List subscriptions
      parameters:
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            default: 1
            type: integer
      responses:
        '200':
          description: List of subscriptions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Subscription'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      per_page:
                        type: integer
                        example: 15
                      total:
                        type: integer
                        example: 5
components:
  schemas:
    Subscription:
      type: object
      required:
        - id
        - name
        - status
        - start_date
        - created_at
      properties:
        id:
          type: string
          example: sub_abc123
        name:
          type: string
          example: Monthly Premium
        status:
          enum:
            - draft
            - active
            - paused
            - cancelled
            - completed
          type: string
          example: active
        start_date:
          type: string
          example: '2025-01-01'
        mollie_mandate_id:
          type: string
          example: mdt_abc123
        mollie_profile_id:
          type: string
          example: pfl_abc123
        next_payment_at:
          type: string
          nullable: true
          example: '2025-02-01'
        next_amount:
          type: string
          nullable: true
          example: '29.99'
        last_payment_created_at:
          type: string
          nullable: true
          example: '2025-01-01 10:00:00'
        resume_at:
          type: string
          nullable: true
          example: '2025-03-01'
        cancel_at:
          type: string
          nullable: true
          example: '2025-12-31'
        created_at:
          type: string
          example: '2025-01-01 10:00:00'
        rules:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionRule'
        customer:
          type: object
          additionalProperties:
            type: string
    SubscriptionRule:
      type: object
      required:
        - id
        - amount
        - currency
        - interval
        - interval_amount
        - day
        - times_done
      properties:
        id:
          type: string
          example: rule_abc123
        amount:
          type: string
          example: '29.99'
        currency:
          enum:
            - EUR
          type: string
          example: EUR
        interval:
          enum:
            - day
            - week
            - month
            - year
          type: string
          example: month
        interval_amount:
          type: integer
          example: 1
        day:
          type: integer
          example: 1
        times:
          type: integer
          nullable: true
          example: 12
        times_done:
          type: integer
          example: 3

````